{ pkgs, lib, ... }:
let
    settings = import ./../settings.nix;
in
{
    networking.firewall.checkReversePath = false;
    networking.hostName = settings.networking.hostname; # Define your hostname.

    # Configure network proxy if necessary
    # networking.proxy.default = "http://user:password@proxy:port/";
    # networking.proxy.noProxy = "127.0.0.1,localhost,internal.domain";

    # Enable networking
    networking.networkmanager.enable = true;
}
