{ lib, ... }:
let
    settings = import ./../settings.nix;
in
{
    # Optionally import modules for game launchers, games or compatability layers
    imports =
        lib.optionals settings.games.prismlauncher [ ./prismlauncher.nix ]
        ++ lib.optionals settings.games.steam [ ./steam.nix ];
}
