{ lib, ... }:
let
    settings = import ./../settings.nix;
in
{
    # Optionally import modules for specific hardware
    imports = [ ./common.nix ]
        ++ lib.optionals settings.hardware.amdgpu [ ./amdgpu.nix ]
        ++ lib.optionals settings.hardware.intelgpu [ ./intelgpu.nix ]
        ++ lib.optionals settings.hardware.nvidiagpu [ ./nvidiagpu.nix ];
}
