{ pkgs, lib, ... }:
{
    # Excerpt from: https://github.com/NixOS/nixos-hardware/blob/master/common/gpu/nvidia/default.nix
    services.xserver.videoDrivers = lib.mkDefault [ "nvidia" ];
    hardware.opengl.extraPackages = with pkgs; [
        vaapiVdpau
    ];
}
