{ pkgs, ... }:
{
    boot.kernelPackages = pkgs.linuxPackages_latest;

    # extra enabled kernel modules
    boot.kernelModules = [
        "sg" # for generic SCSI devices such as /dev/sg0
    ];

    boot.consoleLogLevel = 0;

    # Kernel parameter on boot
    boot.kernelParams = [
        "quiet"
        "udev.log_level=3"
        "splash"
        "psi=1"
        "boot_delay=0"
    ];
}
